Bug 967848 - Ceilometer ignores dist-conf values.
Ceilometer ignores dist-conf values.
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Release_Notes (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: snapshot1
: 3.0
Assigned To: RHOS Documentation Team
ecs-bugs
: Documentation
Depends On:
Blocks: 967884
  Show dependency treegraph
 
Reported: 2013-05-28 08:23 EDT by Pádraig Brady
Modified: 2016-01-04 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The Ceilometer services included in this preview do not access the distribution configuration file /usr/share/ceilometer/ceilometer-dist.conf. Failure to access this file means that several important configuration keys appear to the service as not being set. To work around this issue the user must set the "logdir", "sql_connection", "rpc_backend", and "enable_v1_api" configuration keys in the /etc/ceilometer/ceilometer.conf file. The values used for these configuration keys must be equivalent to those provided in the /usr/share/ceilometer/ceilometer-dist.conf file.
Story Points: ---
Clone Of:
: 967884 (view as bug list)
Environment:
Last Closed: 2013-06-05 14:07:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2013-05-28 08:23:52 EDT
Two items...

1. Snapshot1 has a config issue where the values in /usr/share/ceilometer/ceilometer-dist.conf are ignored.
The 4 settings currently there need to be set
in /etc/ceilometer/ceilometer.conf before the
ceilometer services are started.

2. The collector service interacts with a mongodb instance.
mongodb is available from the EPEL repository at present.

Note You need to log in before you can comment on or make changes to this bug.